Bug 845072 - SELinux is preventing /usr/bin/qemu-kvm from 'getattr' accesses on the filesystem /.
SELinux is preventing /usr/bin/qemu-kvm from 'getattr' accesses on the filesy...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-01 12:21 EDT by Jason Brooks
Modified: 2012-08-10 18:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-10 18:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Brooks 2012-08-01 12:21:19 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.6-2.fc17.x86_64
time:           Wed 01 Aug 2012 09:19:36 AM PDT

:SELinux is preventing /usr/bin/qemu-kvm from 'getattr' accesses on the filesystem /.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that qemu-kvm should be allowed getattr access on the  filesystem by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep qemu-kvm /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:svirt_t:s0:c271,c874
:Target Context                system_u:object_r:nfs_t:s0
:Target Objects                / [ filesystem ]
:Source                        qemu-kvm
:Source Path                   /usr/bin/qemu-kvm
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           qemu-system-x86-1.0-18.fc17.x86_64
:Target RPM Packages           filesystem-3-2.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-140.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.6-2.fc17.x86_64 #1
:                              SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 01 Aug 2012 09:19:01 AM PDT
:Last Seen                     Wed 01 Aug 2012 09:19:01 AM PDT
:Local ID                      f862a720-a0cf-407e-8703-667e1639eba8
:Raw Audit Messages
:type=AVC msg=audit(1343837941.286:6483): avc:  denied  { getattr } for  pid=18703 comm="qemu-kvm" name="/" dev="0:38" ino=1 scontext=system_u:system_r:svirt_t:s0:c271,c874 tcontext=system_u:object_r:nfs_t:s0 tclass=filesystem
:type=SYSCALL msg=audit(1343837941.286:6483): arch=x86_64 syscall=fstatfs success=yes exit=0 a0=11 a1=7fffd8be9020 a2=0 a3=28 items=0 ppid=1 pid=18703 auid=4294967295 uid=107 gid=107 euid=107 suid=107 fsuid=107 egid=107 sgid=107 fsgid=107 tty=(none) ses=4294967295 comm=qemu-kvm exe=/usr/bin/qemu-kvm subj=system_u:system_r:svirt_t:s0:c271,c874 key=(null)
:Hash: qemu-kvm,svirt_t,nfs_t,filesystem,getattr
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Jason Brooks 2012-08-01 12:23:36 EDT
This is from a machine running as an oVirt 3.1 host.
Comment 2 Daniel Walsh 2012-08-01 15:10:22 EDT
Are you using nfs with your virtualization?
Comment 3 Jason Brooks 2012-08-01 17:13:04 EDT
(In reply to comment #2)
> Are you using nfs with your virtualization?

Yes, I am.
Comment 4 Daniel Walsh 2012-08-02 16:55:53 EDT
Turn on the virt_use_nfs boolean if you have not already.

Miroslav Just checked a fix into rawhide for this.
Comment 5 Fedora Update System 2012-08-08 07:22:39 EDT
selinux-policy-3.10.0-145.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-08-09 19:05:47 EDT
Package selinux-policy-3.10.0-145.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-145.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-10 18:35:49 EDT
selinux-policy-3.10.0-145.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.